---@meta

---@class ABP_VehicleBase_C : AAVS_Vehicle_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field RearBumper URGVehicleBumperCollision
---@field FrontBumper URGVehicleBumperCollision
---@field CameraArm USpringArmComponent
---@field GearBox URGGearBox
---@field BrakeLight_Right UPointLightComponent
---@field BrakeLight_Left UPointLightComponent
---@field SM_TruckLights_01 UStaticMeshComponent
---@field HeadLights_A USpotLightComponent
---@field BP_RearWinch UChildActorComponent
---@field DriverSeatInteraction UChildActorComponent
---@field BP_Winch UChildActorComponent
---@field Camera UCameraComponent
---@field Vehicle_EngineAudio UVehicle_EngineAudio_C
---@field Ground UArrowComponent
---@field HeadLights UVehicle_LightController_C
---@field BlinkerRight UVehicle_LightController_C
---@field BlinkerLeft UVehicle_LightController_C
---@field BrakeLights UVehicle_LightController_C
---@field CameraLocationAnimation_Lerp_9231F92248C1FAAE0F074382AD88CE3E float
---@field CameraLocationAnimation__Direction_9231F92248C1FAAE0F074382AD88CE3E ETimelineDirection::Type
---@field CameraLocationAnimation UTimelineComponent
---@field FixVehicle_Lerp_614765BE4DBD22EBBF16099271650CC8 float
---@field FixVehicle__Direction_614765BE4DBD22EBBF16099271650CC8 ETimelineDirection::Type
---@field FixVehicle UTimelineComponent
---@field FixVehicleStartPos FVector
---@field FixVehicleEndPos FVector
---@field FixVehicleStartRot FRotator
---@field FixVehicleEndRot FRotator
---@field ExitPosition FVector
---@field HeadlightsActive boolean
---@field BrakeLightsIllum boolean
---@field DisplayName FName
---@field PossibleWheelMeshes TArray<UStaticMesh>
---@field AppliedWheelMeshes TArray<int32>
---@field SpringStrength double
---@field SpringDownforce double
---@field ShockAbsorberStrength double
---@field SpringTravel double
---@field DefTravel double
---@field CustomColors boolean
---@field CameraRot FRotator
---@field HeadLightsSlot FName
---@field HeadLightsOn UMaterialInterface
---@field TailLightsSlot FName
---@field TailLightsHigh UMaterialInterface
---@field TailLightsLow UMaterialInterface
---@field LeftBlinkerSlot FName
---@field RightTextureSlot FName
---@field BlinkerOnHigh UMaterialInterface
---@field BlinkerOnLow UMaterialInterface
---@field DemoCamArmLength double
---@field TempBoost boolean
---@field CommonSurfaceEffects TArray<FSurfaceEffectConfig>
---@field AI UObject
---@field CameraAnimateFrom FVector
---@field CameraAnimateTo FVector
---@field Alphabet TArray<FString>
---@field TransmissionMode int32
---@field ['Accepted Damage Types'] FGameplayTagContainer
---@field LightStep int32
---@field Light_Material UMaterialInstanceDynamic
---@field VehicleHUD UWG_VehicleHUD_C
---@field IsClutchDown boolean
---@field ['Shifter XPos'] double
---@field ['Shifter YPos'] double
---@field UseGearbox boolean
---@field ReverseBeep UAudioComponent
---@field OnAirSpeedUpdated FBP_VehicleBase_COnAirSpeedUpdated
---@field VehicleHornSFX UAudioComponent
---@field ReplicatedAimRotation FRotator
---@field DriverSeatSocket FName
---@field GearStruggle UAudioComponent
---@field ['As BP First Person Character'] ABP_FirstPersonCharacter_C
---@field DefaultGears TArray<FVehicleGear>
local ABP_VehicleBase_C = {}

---@return boolean
function ABP_VehicleBase_C:AllowWinchAttach() end
---@param outCustomAttachLocation FVector
---@return boolean
function ABP_VehicleBase_C:GetCustomAttachLocation(outCustomAttachLocation) end
---@param Time double
---@param Boost double
---@param Success boolean
function ABP_VehicleBase_C:AddFuel(Time, Boost, Success) end
---@param Wheel UVehicle_Wheel_C
---@param Success boolean
---@param WheelTag FGameplayTag
function ABP_VehicleBase_C:GetWheelTag(Wheel, Success, WheelTag) end
---@param DamageToRepair FST_Damage_Results
---@param Success boolean
function ABP_VehicleBase_C:RepairDamage(DamageToRepair, Success) end
---@param SocketName FName
---@param Success boolean
function ABP_VehicleBase_C:RepairShield(SocketName, Success) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
function ABP_VehicleBase_C:GetAttachedToPlayerInteractionTexts(PickedUpPlayerInteractions) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
---@param IMC UInputMappingContext
function ABP_VehicleBase_C:GetPickedUpPlayerInteractionTexts(PickedUpPlayerInteractions, IMC) end
---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractionTexts TMap<UInputAction, FText>
function ABP_VehicleBase_C:GetLookAtPlayerInteractionTexts(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractionTexts) end
---@param UseCustomBrush boolean
---@param Brush FSlateBrush
function ABP_VehicleBase_C:GetCustomCrosshair(UseCustomBrush, Brush) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_VehicleBase_C:IsAttachPointBlocking(PickUpObject, Success) end
---@param PlacementTransform FTransform
---@param Success boolean
function ABP_VehicleBase_C:PlaceActor(PlacementTransform, Success) end
---@param ImpulseStrength FVector
---@param Location FVector
---@param Success boolean
function ABP_VehicleBase_C:AddImpulseAtLocation(ImpulseStrength, Location, Success) end
---@param Player ABP_FirstPersonCharacter_C
---@param BlockInteraction boolean
function ABP_VehicleBase_C:BlockInteraction(Player, BlockInteraction) end
---@param IsPickupable boolean
function ABP_VehicleBase_C:IsPickupable(IsPickupable) end
---@param Success boolean
function ABP_VehicleBase_C:ShouldUseHoldTransform(Success) end
---@param Success boolean
---@param DisplayName FText
function ABP_VehicleBase_C:GetDisplayName(Success, DisplayName) end
---@param InstigatingPlayer ABP_FirstPersonCharacter_C
---@param Success boolean
function ABP_VehicleBase_C:SecondaryInteract(InstigatingPlayer, Success) end
---@param ImpulseStrength FVector
---@param Success boolean
function ABP_VehicleBase_C:AddImpulse(ImpulseStrength, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param Success boolean
function ABP_VehicleBase_C:StopInteract(PlayerCharacter, HitResult, Success) end
---@param RepairTarget AActor
---@param RepairTool ABP_Interactable_Actor_C
---@param Success boolean
function ABP_VehicleBase_C:Repair(RepairTarget, RepairTool, Success) end
---@param Success boolean
---@param AcceptedDamageTypes FGameplayTagContainer
function ABP_VehicleBase_C:GetAcceptedDamageTypes(Success, AcceptedDamageTypes) end
---@param FPPOffset FTransform
---@param TPPOffset FTransform
---@param Success boolean
function ABP_VehicleBase_C:GetAttachOffset(FPPOffset, TPPOffset, Success) end
---@param Mesh UStaticMesh
---@param DynamicMaterial UMaterialInstanceDynamic
function ABP_VehicleBase_C:GetVisuals(Mesh, DynamicMaterial) end
---@param ThirdPersonDummyClass TSubclassOf<ABP_ThirdPersonDummy_C>
function ABP_VehicleBase_C:GetThirdPersonDummyClass(ThirdPersonDummyClass) end
---@param Success boolean
function ABP_VehicleBase_C:Explode(Success) end
---@param Success boolean
---@param CharacterPose E_CharacterPose::Type
---@param CharacterPoseAnim UAnimSequenceBase
function ABP_VehicleBase_C:GetCharacterPose(Success, CharacterPose, CharacterPoseAnim) end
---@param NewTransform FTransform
---@param Success boolean
function ABP_VehicleBase_C:SetNewAttachTransform(NewTransform, Success) end
---@param AttachParent AActor
---@param Success boolean
---@param CustomAttachTransform FTransform
function ABP_VehicleBase_C:GetCustomAttachTransform(AttachParent, Success, CustomAttachTransform) end
---@param Success boolean
---@param CustomAttachComponent USceneComponent
function ABP_VehicleBase_C:GetCustomAttachComponent(Success, CustomAttachComponent) end
---@param Success boolean
---@param AttachPointState FGameplayTag
function ABP_VehicleBase_C:GetAttachPointState(Success, AttachPointState) end
---@param AttachPointState FGameplayTag
---@param Success boolean
function ABP_VehicleBase_C:SetAttachPointState(AttachPointState, Success) end
---@param Success boolean
---@param AttachType FGameplayTagContainer
function ABP_VehicleBase_C:GetObjectAttachType(Success, AttachType) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_VehicleBase_C:CanPickUpObjectBeAttachedToLookAtObject(PickUpObject, Success) end
---@param ActorHitting AActor
---@param Hit FHitResult
---@param ImpulseVector FVector
---@param DamageResults FST_Damage_Results
---@param Success boolean
function ABP_VehicleBase_C:Hit(ActorHitting, Hit, ImpulseVector, DamageResults, Success) end
---@param destroy boolean
---@param Success boolean
function ABP_VehicleBase_C:ForceDetach(destroy, Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param Success boolean
function ABP_VehicleBase_C:ForceAttach(Parent, RelativeTransform, Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param PlayerAttaching ABP_FirstPersonCharacter_C
---@param SocketName FName
---@param Success boolean
function ABP_VehicleBase_C:AttachByPlayer(Parent, RelativeTransform, PlayerAttaching, SocketName, Success) end
---@param Success boolean
function ABP_VehicleBase_C:SetAttachedPhysicsState(Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_VehicleBase_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
---@param Success boolean
---@param PrimitiveComponent UPrimitiveComponent
function ABP_VehicleBase_C:GetPhysicsMesh(Success, PrimitiveComponent) end
---@param Success boolean
function ABP_VehicleBase_C:SetPickedUpPhysicsState(Success) end
---@param Success boolean
function ABP_VehicleBase_C:SetDroppedPhysicsState(Success) end
---@param Success boolean
---@param Transform FTransform
function ABP_VehicleBase_C:GetCustomHoldTransform(Success, Transform) end
function ABP_VehicleBase_C:ResetFuelBoost() end
---@param MouseSensitivity FVector2D
function ABP_VehicleBase_C:GetMouseSensitivity(MouseSensitivity) end
---@param EmptySeats TArray<ABP_Seatable_TruckPart_01_C>
function ABP_VehicleBase_C:FindEmptySeats(EmptySeats) end
function ABP_VehicleBase_C:Cheat_DisableCollisionResponseOnAllTruckParts() end
---@param PreviousValue ShifterPositions::Type
---@param NewValue ShifterPositions::Type
function ABP_VehicleBase_C:OnShifterUpdatedEvent(PreviousValue, NewValue) end
function ABP_VehicleBase_C:PlayLight_SwitchSFX() end
function ABP_VehicleBase_C:PlayHandbrake_OutOfPlaceSFX() end
function ABP_VehicleBase_C:PlayHandbrake_InPlaceSFX() end
---@param Controller AController
function ABP_VehicleBase_C:SeatRestartedPlayer(Controller) end
function ABP_VehicleBase_C:GetSpeedFromWheelRotation() end
function ABP_VehicleBase_C:Cheat_DisableCollisionOnAllTruckParts() end
function ABP_VehicleBase_C:Cheat_DisablePhysicsOnAllTruckParts() end
function ABP_VehicleBase_C:Cheat_DestroyAllScrewedDownTruckParts() end
function ABP_VehicleBase_C:Cheat_DestroyAllNonScrewedDownTruckParts() end
function ABP_VehicleBase_C:Cheat_DestroyAllTruckParts() end
function ABP_VehicleBase_C:Cheat_UpdateAllAttachmentsState() end
function ABP_VehicleBase_C:Cheat_DestroyAllAttachments() end
function ABP_VehicleBase_C:PlayGearOutPlaceSFX() end
function ABP_VehicleBase_C:PlayGearInPlaceSFX() end
function ABP_VehicleBase_C:HandleParkInput() end
function ABP_VehicleBase_C:DebugAttachments() end
function ABP_VehicleBase_C:StopHonkSFX() end
function ABP_VehicleBase_C:PlayHonkSFX() end
function ABP_VehicleBase_C:HandleGodMode() end
function ABP_VehicleBase_C:StopReverseBeep() end
function ABP_VehicleBase_C:PlayReverseBeep() end
---@param GearNum int32
function ABP_VehicleBase_C:HandleGearBoxShift(GearNum) end
---@param GearShifterXRaw double
---@param GearShifterYRaw double
---@param GearShifterXDisplay double
---@param GearShifterYDisplay double
function ABP_VehicleBase_C:OnGearShifterPositionUpdated(GearShifterXRaw, GearShifterYRaw, GearShifterXDisplay, GearShifterYDisplay) end
function ABP_VehicleBase_C:OnRep_IsClutchDown() end
---@param ActionValueX float
---@param ActionValueY double
---@param IsUsingGamepad boolean
function ABP_VehicleBase_C:HandleLook(ActionValueX, ActionValueY, IsUsingGamepad) end
---@param IsEngineRunning boolean
function ABP_VehicleBase_C:OnEngineRunningUpdated(IsEngineRunning) end
---@param BrakeInputValue double
function ABP_VehicleBase_C:OnBrakeInputUpdated(BrakeInputValue) end
function ABP_VehicleBase_C:InitSkidSoundsAndParticles() end
function ABP_VehicleBase_C:ToggleEngine() end
function ABP_VehicleBase_C:OnRep_LightStep() end
function ABP_VehicleBase_C:LightMaterial_Init() end
function ABP_VehicleBase_C:OnLightStepUpdated() end
function ABP_VehicleBase_C:CycleTransmissionMode() end
function ABP_VehicleBase_C:GearDown() end
function ABP_VehicleBase_C:GearUp() end
---@param Yaw float
---@param Pitch double
function ABP_VehicleBase_C:Aim(Yaw, Pitch) end
function ABP_VehicleBase_C:TryToExitVehicle() end
---@param FirstPersonCharacter ABP_FirstPersonCharacter_C
function ABP_VehicleBase_C:TryToEnterVehicle(FirstPersonCharacter) end
---@param Constrained TArray<UVehicle_Wheel_C>
function ABP_VehicleBase_C:GetConstrainedWheels(Constrained) end
function ABP_VehicleBase_C:OnRep_ServerAutoShop() end
function ABP_VehicleBase_C:FixTiresAfterTeleport() end
function ABP_VehicleBase_C:ApplyNewSpringSettings() end
function ABP_VehicleBase_C:OnRep_SpringTravel() end
function ABP_VehicleBase_C:OnRep_ShockAbsorberStrength() end
function ABP_VehicleBase_C:OnRep_SpringDownforce() end
function ABP_VehicleBase_C:OnRep_SpringStrength() end
---@param Active boolean
function ABP_VehicleBase_C:SetHeadlights(Active) end
function ABP_VehicleBase_C:OnRep_HeadlightsActive() end
function ABP_VehicleBase_C:CameraLocationAnimation__FinishedFunc() end
function ABP_VehicleBase_C:CameraLocationAnimation__UpdateFunc() end
function ABP_VehicleBase_C:FixVehicle__FinishedFunc() end
function ABP_VehicleBase_C:FixVehicle__UpdateFunc() end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_ExitVehicle_K2Node_EnhancedInputActionEvent_21(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_ToogleVehicleDebugMenu_K2Node_EnhancedInputActionEvent_20(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_ToggleEngine_K2Node_EnhancedInputActionEvent_19(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_Handbrake_K2Node_EnhancedInputActionEvent_18(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_Handbrake_K2Node_EnhancedInputActionEvent_17(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_Handbrake_K2Node_EnhancedInputActionEvent_16(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_ResetVehicle_K2Node_EnhancedInputActionEvent_15(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_Look_K2Node_EnhancedInputActionEvent_14(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_MouseLook_K2Node_EnhancedInputActionEvent_13(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_GearUp_K2Node_EnhancedInputActionEvent_12(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_GearDown_K2Node_EnhancedInputActionEvent_11(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_Park_K2Node_EnhancedInputActionEvent_10(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_LightToggle_K2Node_EnhancedInputActionEvent_9(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_Clutch_K2Node_EnhancedInputActionEvent_8(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_Clutch_K2Node_EnhancedInputActionEvent_7(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_Clutch_K2Node_EnhancedInputActionEvent_6(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_HonkHorn_K2Node_EnhancedInputActionEvent_5(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_HonkHorn_K2Node_EnhancedInputActionEvent_4(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_HonkHorn_K2Node_EnhancedInputActionEvent_3(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_StartSmoke_K2Node_EnhancedInputActionEvent_2(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_DragSmoke_K2Node_EnhancedInputActionEvent_1(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_VehicleBase_C:InpActEvt_IA_StopSmoke_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param DeltaSeconds float
function ABP_VehicleBase_C:ReceiveTick(DeltaSeconds) end
---@param LightController UVehicle_LightController_C
function ABP_VehicleBase_C:UpdateLightDecorations(LightController) end
---@param Strength double
function ABP_VehicleBase_C:SetSpringDownforce(Strength) end
function ABP_VehicleBase_C:UpdateLights() end
---@param Location FVector
function ABP_VehicleBase_C:ForceTeleport(Location) end
---@param Location FVector
function ABP_VehicleBase_C:DoForceTeleport(Location) end
---@param NewLocation FVector
function ABP_VehicleBase_C:AnimateCameraPosition(NewLocation) end
---@param Strength double
function ABP_VehicleBase_C:SetSpringStrength(Strength) end
---@param HitComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param NormalImpulse FVector
---@param Hit FHitResult
function ABP_VehicleBase_C:BndEvt__VehicleMesh_K2Node_ComponentBoundEvent_0_ComponentHitSignature__DelegateSignature(HitComponent, OtherActor, OtherComp, NormalImpulse, Hit) end
---@param Strength double
function ABP_VehicleBase_C:SetShockAbsorberStrength(Strength) end
function ABP_VehicleBase_C:UpdateThrottleAndSteering() end
function ABP_VehicleBase_C:ReceiveBeginPlay() end
function ABP_VehicleBase_C:StopCooking() end
---@param Heat int32
function ABP_VehicleBase_C:StartCooking(Heat) end
---@param TagsToAdd FGameplayTagContainer
---@param TagsToRemove FGameplayTagContainer
function ABP_VehicleBase_C:AssignGamePlayTags(TagsToAdd, TagsToRemove) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_VehicleBase_C:CallBackSecondaryFire(Player, Stop) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function ABP_VehicleBase_C:CallBackPrimaryFire(Player, Stop) end
---@param NewController AController
function ABP_VehicleBase_C:ReceivePossessed(NewController) end
---@param NewController AController
function ABP_VehicleBase_C:Client_OnPossessed(NewController) end
---@param Driver AActor
function ABP_VehicleBase_C:Mulicast_AttachDriver(Driver) end
---@param Driver AActor
function ABP_VehicleBase_C:Multicast_DetachDriver(Driver) end
---@param LightStep int32
function ABP_VehicleBase_C:Server_SetLightStep(LightStep) end
---@param OldController AController
function ABP_VehicleBase_C:ReceiveUnpossessed(OldController) end
---@param OldController AController
function ABP_VehicleBase_C:Multicast_OnUnpossessed(OldController) end
---@param ClutchPressed boolean
function ABP_VehicleBase_C:Server_SetClutchState(ClutchPressed) end
---@param ClutchPressed boolean
function ABP_VehicleBase_C:Internal_SetClutchState(ClutchPressed) end
---@param ClutchPressed boolean
function ABP_VehicleBase_C:SetClutchState(ClutchPressed) end
---@param previousGear int32
---@param newGear int32
function ABP_VehicleBase_C:BndEvt__BP_VehicleBase_GearBox_K2Node_ComponentBoundEvent_1_OnGearShifted__DelegateSignature(previousGear, newGear) end
---@param GearShifterXRaw float
---@param GearShifterYRaw float
---@param GearShifterXDisplay float
---@param GearShifterYDisplay float
function ABP_VehicleBase_C:BndEvt__BP_VehicleBase_GearBox_K2Node_ComponentBoundEvent_2_OnGearShifterPositionUpdated__DelegateSignature(GearShifterXRaw, GearShifterYRaw, GearShifterXDisplay, GearShifterYDisplay) end
---@param IsHonking boolean
function ABP_VehicleBase_C:Server_Honk(IsHonking) end
---@param IsHonking boolean
function ABP_VehicleBase_C:Multicast_Honk(IsHonking) end
---@param IsHonking boolean
function ABP_VehicleBase_C:PlayHonkSound(IsHonking) end
---@param Length double
function ABP_VehicleBase_C:SetSpringTravel(Length) end
function ABP_VehicleBase_C:UpdateReplicatedAimRotation() end
---@param previousNormalizedStruggle FVector2D
---@param currentNormalizedStruggle FVector2D
function ABP_VehicleBase_C:BndEvt__BP_VehicleBase_GearBox_K2Node_ComponentBoundEvent_3_OnGearBoxStruggleUpdated__DelegateSignature(previousNormalizedStruggle, currentNormalizedStruggle) end
function ABP_VehicleBase_C:Serverstartsmoke() end
function ABP_VehicleBase_C:ServerDragSmoke() end
function ABP_VehicleBase_C:ServerEndSmoke() end
function ABP_VehicleBase_C:StartFixVehicle_AtLoc() end
function ABP_VehicleBase_C:EndFixVehicle() end
---@param Lerp double
function ABP_VehicleBase_C:FixVehicleTick(Lerp) end
function ABP_VehicleBase_C:RequestFixVehicle() end
function ABP_VehicleBase_C:StartFixVehicle() end
function ABP_VehicleBase_C:All_DetachAllWheels() end
function ABP_VehicleBase_C:Request_DetachAllWheels() end
function ABP_VehicleBase_C:Request_DetachRandomWheel() end
---@param WheelIndex int32
function ABP_VehicleBase_C:All_DetachSpecificWheel(WheelIndex) end
---@param EntryPoint int32
function ABP_VehicleBase_C:ExecuteUbergraph_BP_VehicleBase(EntryPoint) end
---@param Speed double
---@param DeltaTime double
function ABP_VehicleBase_C:OnAirSpeedUpdated__DelegateSignature(Speed, DeltaTime) end


